//import {UiUtils} from "./utils/UiUtils";

import IHK from './ihk';
import 'focus-visible';


//global.$ = $;

const $ = require('jquery');

//import './modules/a-z';
import './modules/accordion';
import './modules/ad-teaser';
import './modules/anchors';
import './modules/bookmarks';
import './modules/breadcrumb';
import './modules/caruso';
import './modules/contact';
import './modules/events';
import './modules/gallery';
import './modules/header';
import './modules/magazine-header';
import './modules/masonry';
import './modules/quick-facts';
import './modules/registration';
import './modules/search';
import './modules/sidebar';
import './modules/slider';
import './modules/social';
import './modules/survey';
import './modules/table';
import './modules/topics';
import './modules/tooltip';
import './modules/webforms'; // todo captcha und webforms trennen
import './modules/ihk-finder';
import './modules/ihk-switch';
import './modules/search-typeahead';
import './modules/timeline';
import './modules/timeline-switch';
import './modules/participation-map';
import './utils/ie';

IHK.realVH();
$(window).on('resize', function() {
  IHK.realVH();
});

$(document).ready(function () {
  IHK.init();
  $('body').addClass('ready');
  // trigger das init event auf der globale jquery instanz so dass es alle modulle mitkriegen (z.B. cookie.js)
  $("body").trigger('ihk-init');
  //UiUtils.initUI();
});
